=== modified file 'HACKING'
--- HACKING	2006-10-13 07:22:23 +0000
+++ HACKING	2006-10-16 04:38:20 +0000
@@ -78,11 +78,58 @@
 There are some common requirements in the library: some parameters need to be
 unicode safe, some need byte strings, and so on. At the moment we have
 only codified one specific pattern: Parameters that need to be unicode
-should be checked via 'bzrlib.osutils.safe_unicode'. This will coerce the
+should be checked via ``bzrlib.osutils.safe_unicode``. This will coerce the
 input into unicode in a consistent fashion, allowing trivial strings to be
 used for programmer convenience, but not performing unpredictably in the
 presence of different locales.
 
+
+Copyright
+---------
+
+The copyright policy for bzr was recently made clear in this email (edited
+for grammatical correctness)::
+
+    The attached patch cleans up the copyright and license statements in
+    the bzr source. It also adds tests to help us remember to add them
+    with the correct text.
+
+    We had the problem that lots of our files were "Copyright Canonical
+    Development Ltd" which is not a real company, and some other variations
+    on this theme. Also, some files were missing the GPL statements.
+    
+    I want to be clear about the intent of this patch, since copyright can
+    be a little controversial.
+    
+    1) The big motivation for this is not to shut out the community, but
+    just to clean up all of the invalid copyright statements.
+    
+    2) It has been the general policy for bzr that we want a single
+    copyright holder for all of the core code. This is following the model
+    set by the FSF, which makes it easier to update the code to a new
+    license in case problems are encountered. (For example, if we want to
+    upgrade the project universally to GPL v3 it is much simpler if there is
+    a single copyright holder). It also makes it clearer if copyright is
+    ever debated, there is a single holder, which makes it easier to defend
+    in court, etc. (I think the FSF position is that if you assign them
+    copyright, they can defend it in court rather than you needing to, and
+    I'm sure Canonical would do the same).
+    As such, Canonical has requested copyright assignments from all of the
+    major contributers.
+    
+    3) If someone wants to add code and not attribute it to Canonical, there
+    is a specific list of files that are excluded from this check. And the
+    test failure indicates where that is, and how to update it.
+    
+    4) If anyone feels that I changed a copyright statement incorrectly, just
+    let me know, and I'll be happy to correct it. Whenever you have large
+    mechanical changes like this, it is possible to make some mistakes.
+    
+    Just to reiterate, this is a community project, and it is meant to stay
+    that way. Core bzr code is copyright Canonical for legal reasons, and
+    the tests are just there to help us maintain that.
+
+
 Documentation
 =============
 

=== modified file 'bzr'
--- bzr	2006-10-11 00:23:23 +0000
+++ bzr	2006-10-16 01:25:46 +0000
@@ -1,6 +1,6 @@
 #! /usr/bin/env python
 
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2006-09-25 00:03:15 +0000
+++ bzrlib/__init__.py	2006-10-16 01:47:43 +0000
@@ -1,15 +1,15 @@
-# Copyright (C) 2005, 2006 Canonical Development Ltd
-
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=== modified file 'bzrlib/annotate.py'
--- bzrlib/annotate.py	2006-09-29 20:24:37 +0000
+++ bzrlib/annotate.py	2006-10-16 01:25:46 +0000
@@ -1,15 +1,15 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
-
+# Copyright (C) 2004, 2005 Canonical Ltd
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=== modified file 'bzrlib/atomicfile.py'
--- bzrlib/atomicfile.py	2006-09-13 02:51:49 +0000
+++ bzrlib/atomicfile.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/__init__.py'
--- bzrlib/benchmarks/__init__.py	2006-10-10 06:28:41 +0000
+++ bzrlib/benchmarks/__init__.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/bench_add.py'
--- bzrlib/benchmarks/bench_add.py	2006-08-14 23:49:01 +0000
+++ bzrlib/benchmarks/bench_add.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_bench.py'
--- bzrlib/benchmarks/bench_bench.py	2006-09-05 21:25:15 +0000
+++ bzrlib/benchmarks/bench_bench.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_bundle.py'
--- bzrlib/benchmarks/bench_bundle.py	2006-10-04 10:17:53 +0000
+++ bzrlib/benchmarks/bench_bundle.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_cache_utf8.py'
--- bzrlib/benchmarks/bench_cache_utf8.py	2006-08-10 00:43:37 +0000
+++ bzrlib/benchmarks/bench_cache_utf8.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -13,6 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+
 """Tests for encoding performance."""
 
 from bzrlib import (

=== modified file 'bzrlib/benchmarks/bench_checkout.py'
--- bzrlib/benchmarks/bench_checkout.py	2006-08-15 03:19:49 +0000
+++ bzrlib/benchmarks/bench_checkout.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_commit.py'
--- bzrlib/benchmarks/bench_commit.py	2006-08-18 13:16:52 +0000
+++ bzrlib/benchmarks/bench_commit.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_info.py'
--- bzrlib/benchmarks/bench_info.py	2006-08-30 19:44:06 +0000
+++ bzrlib/benchmarks/bench_info.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_inventory.py'
--- bzrlib/benchmarks/bench_inventory.py	2006-06-13 12:54:39 +0000
+++ bzrlib/benchmarks/bench_inventory.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_log.py'
--- bzrlib/benchmarks/bench_log.py	2006-08-07 22:00:11 +0000
+++ bzrlib/benchmarks/bench_log.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_osutils.py'
--- bzrlib/benchmarks/bench_osutils.py	2006-08-14 23:49:01 +0000
+++ bzrlib/benchmarks/bench_osutils.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_rocks.py'
--- bzrlib/benchmarks/bench_rocks.py	2006-10-09 23:44:19 +0000
+++ bzrlib/benchmarks/bench_rocks.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_sftp.py'
--- bzrlib/benchmarks/bench_sftp.py	2006-09-22 03:29:29 +0000
+++ bzrlib/benchmarks/bench_sftp.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_startup.py'
--- bzrlib/benchmarks/bench_startup.py	2006-10-09 23:44:19 +0000
+++ bzrlib/benchmarks/bench_startup.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_status.py'
--- bzrlib/benchmarks/bench_status.py	2006-08-18 16:42:15 +0000
+++ bzrlib/benchmarks/bench_status.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_transform.py'
--- bzrlib/benchmarks/bench_transform.py	2006-08-14 23:49:01 +0000
+++ bzrlib/benchmarks/bench_transform.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_workingtree.py'
--- bzrlib/benchmarks/bench_workingtree.py	2006-08-15 03:19:49 +0000
+++ bzrlib/benchmarks/bench_workingtree.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/bench_xml.py'
--- bzrlib/benchmarks/bench_xml.py	2006-08-16 23:38:03 +0000
+++ bzrlib/benchmarks/bench_xml.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/benchmarks/tree_creator/__init__.py'
--- bzrlib/benchmarks/tree_creator/__init__.py	2006-08-15 03:04:06 +0000
+++ bzrlib/benchmarks/tree_creator/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/tree_creator/heavily_merged.py'
--- bzrlib/benchmarks/tree_creator/heavily_merged.py	2006-08-23 10:30:07 +0000
+++ bzrlib/benchmarks/tree_creator/heavily_merged.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/tree_creator/kernel_like.py'
--- bzrlib/benchmarks/tree_creator/kernel_like.py	2006-08-17 23:09:00 +0000
+++ bzrlib/benchmarks/tree_creator/kernel_like.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/tree_creator/many_commit.py'
--- bzrlib/benchmarks/tree_creator/many_commit.py	2006-08-30 19:44:06 +0000
+++ bzrlib/benchmarks/tree_creator/many_commit.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/benchmarks/tree_creator/simple_many_commit.py'
--- bzrlib/benchmarks/tree_creator/simple_many_commit.py	2006-08-15 03:04:06 +0000
+++ bzrlib/benchmarks/tree_creator/simple_many_commit.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2006-10-15 16:22:42 +0000
+++ bzrlib/builtins.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bundle/__init__.py'
--- bzrlib/bundle/__init__.py	2006-10-06 05:53:44 +0000
+++ bzrlib/bundle/__init__.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bundle/apply_bundle.py'
--- bzrlib/bundle/apply_bundle.py	2006-06-20 02:32:24 +0000
+++ bzrlib/bundle/apply_bundle.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,18 @@
+# Copyright (C) 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """\
 This contains functionality for installing bundles into repositories
 """

=== modified file 'bzrlib/bundle/bundle_data.py'
--- bzrlib/bundle/bundle_data.py	2006-10-12 03:19:14 +0000
+++ bzrlib/bundle/bundle_data.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bundle/commands.py'
--- bzrlib/bundle/commands.py	2006-09-12 22:12:30 +0000
+++ bzrlib/bundle/commands.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,18 @@
-#!/usr/bin/env python
+# Copyright (C) 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """\
 This is an attempt to take the internal delta object, and represent
 it as a single-file text-only changeset.

=== modified file 'bzrlib/bundle/common.py'
--- bzrlib/bundle/common.py	2006-07-10 15:15:40 +0000
+++ bzrlib/bundle/common.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,18 @@
-#!/usr/bin/env python
+# Copyright (C) 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """\
 Common entries, like strings, etc, for the bundle reading + writing code.
 """

=== modified file 'bzrlib/bundle/old/send_changeset.py'
--- bzrlib/bundle/old/send_changeset.py	2005-11-19 04:22:51 +0000
+++ bzrlib/bundle/old/send_changeset.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,19 @@
-#!/usr/bin/env python
+# Copyright (C) 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 """\
 Generate a changeset and send it by mail.
 """

=== modified file 'bzrlib/bundle/serializer/__init__.py'
--- bzrlib/bundle/serializer/__init__.py	2006-09-27 20:16:08 +0000
+++ bzrlib/bundle/serializer/__init__.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2005-2006 Canonical Development Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bundle/serializer/v08.py'
--- bzrlib/bundle/serializer/v08.py	2006-09-28 22:50:18 +0000
+++ bzrlib/bundle/serializer/v08.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/bundle/serializer/v09.py'
--- bzrlib/bundle/serializer/v09.py	2006-09-27 20:16:08 +0000
+++ bzrlib/bundle/serializer/v09.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/cache_utf8.py'
--- bzrlib/cache_utf8.py	2006-08-16 22:05:26 +0000
+++ bzrlib/cache_utf8.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/check.py'
--- bzrlib/check.py	2006-08-04 04:41:02 +0000
+++ bzrlib/check.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2006-10-06 05:53:44 +0000
+++ bzrlib/commands.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2006-10-12 01:07:42 +0000
+++ bzrlib/config.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/conflicts.py'
--- bzrlib/conflicts.py	2006-10-06 07:36:16 +0000
+++ bzrlib/conflicts.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Aaron Bentley
+# Copyright (C) 2005 Aaron Bentley, Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/delta.py'
--- bzrlib/delta.py	2006-10-12 03:19:14 +0000
+++ bzrlib/delta.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/doc/__init__.py'
--- bzrlib/doc/__init__.py	2006-07-28 16:05:23 +0000
+++ bzrlib/doc/__init__.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2005 Canonical Development Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/doc/api/__init__.py'
--- bzrlib/doc/api/__init__.py	2006-07-30 07:02:22 +0000
+++ bzrlib/doc/api/__init__.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Development Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2006-10-16 01:13:59 +0000
+++ bzrlib/errors.py	2006-10-16 04:50:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/externalcommand.py'
--- bzrlib/externalcommand.py	2006-07-28 16:05:23 +0000
+++ bzrlib/externalcommand.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/fetch.py'
--- bzrlib/fetch.py	2006-09-10 02:18:31 +0000
+++ bzrlib/fetch.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/gpg.py'
--- bzrlib/gpg.py	2006-09-12 20:02:29 +0000
+++ bzrlib/gpg.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/graph.py'
--- bzrlib/graph.py	2006-07-28 16:05:23 +0000
+++ bzrlib/graph.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2005 Canonical
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/hashcache.py'
--- bzrlib/hashcache.py	2006-08-16 18:38:57 +0000
+++ bzrlib/hashcache.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2006-09-25 21:54:28 +0000
+++ bzrlib/help.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/identitymap.py'
--- bzrlib/identitymap.py	2006-03-06 06:06:07 +0000
+++ bzrlib/identitymap.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/ignores.py'
--- bzrlib/ignores.py	2006-07-31 14:04:26 +0000
+++ bzrlib/ignores.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Development Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/info.py'
--- bzrlib/info.py	2006-09-10 19:04:48 +0000
+++ bzrlib/info.py	2006-10-16 01:50:48 +0000
@@ -1,15 +1,15 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 # 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=== modified file 'bzrlib/inspect_for_copy.py'
--- bzrlib/inspect_for_copy.py	2006-10-06 05:53:44 +0000
+++ bzrlib/inspect_for_copy.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Development Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/iterablefile.py'
--- bzrlib/iterablefile.py	2006-06-18 03:45:05 +0000
+++ bzrlib/iterablefile.py	2006-10-11 23:32:09 +0000
@@ -1,19 +1,20 @@
-# Copyright (C) 2005 Aaron Bentley
+# Copyright (C) 2005 Aaron Bentley, Canonical Ltd
 # <aaron.bentley@utoronto.ca>
 #
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 
 class IterableFileBase(object):
     """Create a file-like object from any iterable"""

=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2006-09-27 20:27:46 +0000
+++ bzrlib/knit.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 # Written by Martin Pool.
 # Modified by Johan Rydberg <jrydberg@gnu.org>
 # Modified by Robert Collins <robert.collins@canonical.com>

=== modified file 'bzrlib/lazy_import.py'
--- bzrlib/lazy_import.py	2006-10-06 05:53:44 +0000
+++ bzrlib/lazy_import.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/lazy_regex.py'
--- bzrlib/lazy_regex.py	2006-10-10 06:48:45 +0000
+++ bzrlib/lazy_regex.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/merge3.py'
--- bzrlib/merge3.py	2006-07-28 16:05:23 +0000
+++ bzrlib/merge3.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/missing.py'
--- bzrlib/missing.py	2006-07-26 07:11:35 +0000
+++ bzrlib/missing.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 """Display what revisions are missing in 'other' from 'this' and vice versa."""
 
 import bzrlib.ui as ui

=== modified file 'bzrlib/msgeditor.py'
--- bzrlib/msgeditor.py	2006-08-29 20:47:02 +0000
+++ bzrlib/msgeditor.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2006-10-06 07:13:51 +0000
+++ bzrlib/option.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2006-10-11 00:23:23 +0000
+++ bzrlib/osutils.py	2006-10-16 01:25:46 +0000
@@ -1,6 +1,6 @@
 # Bazaar -- distributed version control
 #
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/patches.py'
--- bzrlib/patches.py	2006-06-15 03:10:51 +0000
+++ bzrlib/patches.py	2006-10-11 23:32:09 +0000
@@ -1,19 +1,19 @@
-# Copyright (C) 2004 - 2006 Aaron Bentley
+# Copyright (C) 2004 - 2006 Aaron Bentley, Canonical Ltd
 # <aaron.bentley@utoronto.ca>
 #
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
 class PatchSyntax(Exception):

=== modified file 'bzrlib/plugin.py'
--- bzrlib/plugin.py	2006-09-13 03:21:03 +0000
+++ bzrlib/plugin.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/__init__.py'
--- bzrlib/plugins/__init__.py	2005-09-19 06:05:19 +0000
+++ bzrlib/plugins/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,1 +1,17 @@
+# Copyright (C) 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 """Null placeholder plugin"""

=== modified file 'bzrlib/plugins/launchpad/__init__.py'
--- bzrlib/plugins/launchpad/__init__.py	2006-05-16 02:31:06 +0000
+++ bzrlib/plugins/launchpad/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/plugins/launchpad/lp_registration.py'
--- bzrlib/plugins/launchpad/lp_registration.py	2006-05-16 02:31:06 +0000
+++ bzrlib/plugins/launchpad/lp_registration.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -7,8 +7,8 @@
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
-# # GNU General Public License for more details.
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software

=== modified file 'bzrlib/plugins/launchpad/test_register.py'
--- bzrlib/plugins/launchpad/test_register.py	2006-09-21 23:06:54 +0000
+++ bzrlib/plugins/launchpad/test_register.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/progress.py'
--- bzrlib/progress.py	2006-10-06 07:29:17 +0000
+++ bzrlib/progress.py	2006-10-16 01:25:46 +0000
@@ -1,19 +1,19 @@
 # Copyright (C) 2005 Aaron Bentley <aaron.bentley@utoronto.ca>
-# Copyright (C) 2005, 2006 Canonical <canonical.com>
-#
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
 """Simple text-mode progress indicator.

=== modified file 'bzrlib/reconcile.py'
--- bzrlib/reconcile.py	2006-06-20 03:57:11 +0000
+++ bzrlib/reconcile.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2005, 2006 Canonical Limited.
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/registry.py'
--- bzrlib/registry.py	2006-10-13 00:55:26 +0000
+++ bzrlib/registry.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/revision.py'
--- bzrlib/revision.py	2006-08-30 13:54:51 +0000
+++ bzrlib/revision.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/rio.py'
--- bzrlib/rio.py	2006-09-22 19:37:57 +0000
+++ bzrlib/rio.py	2006-10-11 23:08:27 +0000
@@ -1,6 +1,18 @@
-# Copyright (C) 2005 by Canonical Ltd
-#
-# Distributed under the GNU General Public Licence v2
+# Copyright (C) 2005 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 # \subsection{\emph{rio} - simple text metaformat}
 # 

=== modified file 'bzrlib/shellcomplete.py'
--- bzrlib/shellcomplete.py	2006-09-08 18:46:29 +0000
+++ bzrlib/shellcomplete.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 import sys
 
 

=== modified file 'bzrlib/store/__init__.py'
--- bzrlib/store/__init__.py	2006-09-08 18:52:17 +0000
+++ bzrlib/store/__init__.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Development Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/store/revision/__init__.py'
--- bzrlib/store/revision/__init__.py	2006-09-12 21:19:54 +0000
+++ bzrlib/store/revision/__init__.py	2006-10-16 01:25:46 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/store/revision/knit.py'
--- bzrlib/store/revision/knit.py	2006-06-20 05:32:16 +0000
+++ bzrlib/store/revision/knit.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/store/revision/text.py'
--- bzrlib/store/revision/text.py	2006-06-12 02:07:37 +0000
+++ bzrlib/store/revision/text.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/store/text.py'
--- bzrlib/store/text.py	2006-09-08 18:52:17 +0000
+++ bzrlib/store/text.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Development Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/symbol_versioning.py'
--- bzrlib/symbol_versioning.py	2006-09-25 01:10:49 +0000
+++ bzrlib/symbol_versioning.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/testament.py'
--- bzrlib/testament.py	2006-09-26 13:28:39 +0000
+++ bzrlib/testament.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/EncodingAdapter.py'
--- bzrlib/tests/EncodingAdapter.py	2006-06-11 03:09:28 +0000
+++ bzrlib/tests/EncodingAdapter.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/HTTPTestUtil.py'
--- bzrlib/tests/HTTPTestUtil.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/HTTPTestUtil.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/TestUtil.py'
--- bzrlib/tests/TestUtil.py	2006-05-16 06:45:43 +0000
+++ bzrlib/tests/TestUtil.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (c) 2004 Canonical Limited
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #       Author: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2006-10-15 16:22:42 +0000
+++ bzrlib/tests/__init__.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/__init__.py'
--- bzrlib/tests/blackbox/__init__.py	2006-09-23 06:39:46 +0000
+++ bzrlib/tests/blackbox/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_add.py'
--- bzrlib/tests/blackbox/test_add.py	2006-09-07 21:31:58 +0000
+++ bzrlib/tests/blackbox/test_add.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_added.py'
--- bzrlib/tests/blackbox/test_added.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_added.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_aliases.py'
--- bzrlib/tests/blackbox/test_aliases.py	2006-06-15 05:36:34 +0000
+++ bzrlib/tests/blackbox/test_aliases.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,18 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Black-box tests for bzr aliases.
 """
 

=== modified file 'bzrlib/tests/blackbox/test_ancestry.py'
--- bzrlib/tests/blackbox/test_ancestry.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_ancestry.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# -*- coding: utf-8 -*-
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_annotate.py'
--- bzrlib/tests/blackbox/test_annotate.py	2006-09-21 19:41:29 +0000
+++ bzrlib/tests/blackbox/test_annotate.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_bound_branches.py'
--- bzrlib/tests/blackbox/test_bound_branches.py	2006-09-11 01:03:59 +0000
+++ bzrlib/tests/blackbox/test_bound_branches.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_branch.py'
--- bzrlib/tests/blackbox/test_branch.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/blackbox/test_branch.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_bundle.py'
--- bzrlib/tests/blackbox/test_bundle.py	2006-06-26 18:01:07 +0000
+++ bzrlib/tests/blackbox/test_bundle.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Aaron Bentley
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_cat.py'
--- bzrlib/tests/blackbox/test_cat.py	2006-09-11 06:07:02 +0000
+++ bzrlib/tests/blackbox/test_cat.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_checkout.py'
--- bzrlib/tests/blackbox/test_checkout.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/blackbox/test_checkout.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_command_encoding.py'
--- bzrlib/tests/blackbox/test_command_encoding.py	2006-06-07 16:05:27 +0000
+++ bzrlib/tests/blackbox/test_command_encoding.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_commit.py'
--- bzrlib/tests/blackbox/test_commit.py	2006-09-04 08:00:00 +0000
+++ bzrlib/tests/blackbox/test_commit.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_conflicts.py'
--- bzrlib/tests/blackbox/test_conflicts.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_conflicts.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_diff.py'
--- bzrlib/tests/blackbox/test_diff.py	2006-07-31 19:15:36 +0000
+++ bzrlib/tests/blackbox/test_diff.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_exceptions.py'
--- bzrlib/tests/blackbox/test_exceptions.py	2006-08-17 11:10:57 +0000
+++ bzrlib/tests/blackbox/test_exceptions.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_export.py'
--- bzrlib/tests/blackbox/test_export.py	2006-09-23 19:05:44 +0000
+++ bzrlib/tests/blackbox/test_export.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# -*- coding: utf-8 -*-
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_find_merge_base.py'
--- bzrlib/tests/blackbox/test_find_merge_base.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_find_merge_base.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_help.py'
--- bzrlib/tests/blackbox/test_help.py	2006-07-30 07:02:22 +0000
+++ bzrlib/tests/blackbox/test_help.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_ignore.py'
--- bzrlib/tests/blackbox/test_ignore.py	2006-10-05 22:42:09 +0000
+++ bzrlib/tests/blackbox/test_ignore.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_ignored.py'
--- bzrlib/tests/blackbox/test_ignored.py	2006-05-18 23:48:54 +0000
+++ bzrlib/tests/blackbox/test_ignored.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2006-09-22 04:52:17 +0000
+++ bzrlib/tests/blackbox/test_info.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_init.py'
--- bzrlib/tests/blackbox/test_init.py	2006-09-05 11:22:35 +0000
+++ bzrlib/tests/blackbox/test_init.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_inventory.py'
--- bzrlib/tests/blackbox/test_inventory.py	2006-09-22 21:39:54 +0000
+++ bzrlib/tests/blackbox/test_inventory.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_locale.py'
--- bzrlib/tests/blackbox/test_locale.py	2006-09-12 21:25:01 +0000
+++ bzrlib/tests/blackbox/test_locale.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_log.py'
--- bzrlib/tests/blackbox/test_log.py	2006-08-06 17:31:40 +0000
+++ bzrlib/tests/blackbox/test_log.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_logformats.py'
--- bzrlib/tests/blackbox/test_logformats.py	2006-08-16 04:57:05 +0000
+++ bzrlib/tests/blackbox/test_logformats.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,18 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Black-box tests for default log_formats/log_formatters
 """
 

=== modified file 'bzrlib/tests/blackbox/test_ls.py'
--- bzrlib/tests/blackbox/test_ls.py	2006-09-07 21:31:58 +0000
+++ bzrlib/tests/blackbox/test_ls.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_missing.py'
--- bzrlib/tests/blackbox/test_missing.py	2006-06-07 17:23:59 +0000
+++ bzrlib/tests/blackbox/test_missing.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 # vim: encoding=utf-8
 #

=== modified file 'bzrlib/tests/blackbox/test_mv.py'
--- bzrlib/tests/blackbox/test_mv.py	2006-07-11 01:14:17 +0000
+++ bzrlib/tests/blackbox/test_mv.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_non_ascii.py'
--- bzrlib/tests/blackbox/test_non_ascii.py	2006-09-07 21:37:43 +0000
+++ bzrlib/tests/blackbox/test_non_ascii.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_outside_wt.py'
--- bzrlib/tests/blackbox/test_outside_wt.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_outside_wt.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_pull.py'
--- bzrlib/tests/blackbox/test_pull.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/blackbox/test_pull.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_push.py'
--- bzrlib/tests/blackbox/test_push.py	2006-10-10 00:15:25 +0000
+++ bzrlib/tests/blackbox/test_push.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_re_sign.py'
--- bzrlib/tests/blackbox/test_re_sign.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_re_sign.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_reconcile.py'
--- bzrlib/tests/blackbox/test_reconcile.py	2006-09-10 20:12:00 +0000
+++ bzrlib/tests/blackbox/test_reconcile.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_remerge.py'
--- bzrlib/tests/blackbox/test_remerge.py	2006-08-16 04:57:05 +0000
+++ bzrlib/tests/blackbox/test_remerge.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_remove.py'
--- bzrlib/tests/blackbox/test_remove.py	2006-05-30 02:05:08 +0000
+++ bzrlib/tests/blackbox/test_remove.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_revert.py'
--- bzrlib/tests/blackbox/test_revert.py	2006-07-01 18:36:57 +0000
+++ bzrlib/tests/blackbox/test_revert.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_revision_history.py'
--- bzrlib/tests/blackbox/test_revision_history.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_revision_history.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, Michael Ellerman
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_revision_info.py'
--- bzrlib/tests/blackbox/test_revision_info.py	2006-08-24 00:07:15 +0000
+++ bzrlib/tests/blackbox/test_revision_info.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_revno.py'
--- bzrlib/tests/blackbox/test_revno.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_revno.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_selftest.py'
--- bzrlib/tests/blackbox/test_selftest.py	2006-10-13 07:41:06 +0000
+++ bzrlib/tests/blackbox/test_selftest.py	2006-10-16 01:50:48 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/tests/blackbox/test_serve.py'
--- bzrlib/tests/blackbox/test_serve.py	2006-09-21 09:15:20 +0000
+++ bzrlib/tests/blackbox/test_serve.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_shared_repository.py'
--- bzrlib/tests/blackbox/test_shared_repository.py	2006-08-16 04:57:05 +0000
+++ bzrlib/tests/blackbox/test_shared_repository.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_sign_my_commits.py'
--- bzrlib/tests/blackbox/test_sign_my_commits.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/blackbox/test_sign_my_commits.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_status.py'
--- bzrlib/tests/blackbox/test_status.py	2006-09-07 21:37:43 +0000
+++ bzrlib/tests/blackbox/test_status.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_testament.py'
--- bzrlib/tests/blackbox/test_testament.py	2006-08-16 16:27:58 +0000
+++ bzrlib/tests/blackbox/test_testament.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_too_much.py'
--- bzrlib/tests/blackbox/test_too_much.py	2006-10-06 05:53:44 +0000
+++ bzrlib/tests/blackbox/test_too_much.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_uncommit.py'
--- bzrlib/tests/blackbox/test_uncommit.py	2006-09-11 01:03:59 +0000
+++ bzrlib/tests/blackbox/test_uncommit.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_update.py'
--- bzrlib/tests/blackbox/test_update.py	2006-08-25 05:03:17 +0000
+++ bzrlib/tests/blackbox/test_update.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/blackbox/test_upgrade.py'
--- bzrlib/tests/blackbox/test_upgrade.py	2006-08-16 04:57:05 +0000
+++ bzrlib/tests/blackbox/test_upgrade.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #

=== modified file 'bzrlib/tests/blackbox/test_versioning.py'
--- bzrlib/tests/blackbox/test_versioning.py	2006-07-29 08:23:47 +0000
+++ bzrlib/tests/blackbox/test_versioning.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/blackbox/test_whoami.py'
--- bzrlib/tests/blackbox/test_whoami.py	2006-07-14 09:05:49 +0000
+++ bzrlib/tests/blackbox/test_whoami.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/branch_implementations/__init__.py'
--- bzrlib/tests/branch_implementations/__init__.py	2006-08-10 02:23:35 +0000
+++ bzrlib/tests/branch_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #

=== modified file 'bzrlib/tests/branch_implementations/test_break_lock.py'
--- bzrlib/tests/branch_implementations/test_break_lock.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/branch_implementations/test_break_lock.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/branch_implementations/test_parent.py'
--- bzrlib/tests/branch_implementations/test_parent.py	2006-08-10 02:23:35 +0000
+++ bzrlib/tests/branch_implementations/test_parent.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/branch_implementations/test_permissions.py'
--- bzrlib/tests/branch_implementations/test_permissions.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/branch_implementations/test_permissions.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/branch_implementations/test_pull.py'
--- bzrlib/tests/branch_implementations/test_pull.py	2006-09-04 08:00:00 +0000
+++ bzrlib/tests/branch_implementations/test_pull.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/branch_implementations/test_update.py'
--- bzrlib/tests/branch_implementations/test_update.py	2006-03-05 02:20:07 +0000
+++ bzrlib/tests/branch_implementations/test_update.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/bzrdir_implementations/__init__.py'
--- bzrlib/tests/bzrdir_implementations/__init__.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/bzrdir_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #

=== modified file 'bzrlib/tests/interrepository_implementations/__init__.py'
--- bzrlib/tests/interrepository_implementations/__init__.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/interrepository_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #

=== modified file 'bzrlib/tests/interrepository_implementations/test_interrepository.py'
--- bzrlib/tests/interrepository_implementations/test_interrepository.py	2006-09-10 20:12:00 +0000
+++ bzrlib/tests/interrepository_implementations/test_interrepository.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/intertree_implementations/__init__.py'
--- bzrlib/tests/intertree_implementations/__init__.py	2006-07-25 06:50:12 +0000
+++ bzrlib/tests/intertree_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/intertree_implementations/test_compare.py'
--- bzrlib/tests/intertree_implementations/test_compare.py	2006-07-26 01:14:31 +0000
+++ bzrlib/tests/intertree_implementations/test_compare.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/interversionedfile_implementations/__init__.py'
--- bzrlib/tests/interversionedfile_implementations/__init__.py	2006-03-02 01:26:22 +0000
+++ bzrlib/tests/interversionedfile_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/interversionedfile_implementations/test_join.py'
--- bzrlib/tests/interversionedfile_implementations/test_join.py	2006-05-02 04:07:43 +0000
+++ bzrlib/tests/interversionedfile_implementations/test_join.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/repository_implementations/__init__.py'
--- bzrlib/tests/repository_implementations/__init__.py	2006-08-14 15:07:33 +0000
+++ bzrlib/tests/repository_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #

=== modified file 'bzrlib/tests/repository_implementations/test_break_lock.py'
--- bzrlib/tests/repository_implementations/test_break_lock.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/repository_implementations/test_break_lock.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/repository_implementations/test_commit_builder.py'
--- bzrlib/tests/repository_implementations/test_commit_builder.py	2006-09-27 02:28:44 +0000
+++ bzrlib/tests/repository_implementations/test_commit_builder.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/repository_implementations/test_fileid_involved.py'
--- bzrlib/tests/repository_implementations/test_fileid_involved.py	2006-09-10 20:12:00 +0000
+++ bzrlib/tests/repository_implementations/test_fileid_involved.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/repository_implementations/test_reconcile.py'
--- bzrlib/tests/repository_implementations/test_reconcile.py	2006-08-23 13:15:45 +0000
+++ bzrlib/tests/repository_implementations/test_reconcile.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/revisionstore_implementations/__init__.py'
--- bzrlib/tests/revisionstore_implementations/__init__.py	2006-03-03 02:09:49 +0000
+++ bzrlib/tests/revisionstore_implementations/__init__.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/revisionstore_implementations/test_all.py'
--- bzrlib/tests/revisionstore_implementations/test_all.py	2006-08-16 14:10:56 +0000
+++ bzrlib/tests/revisionstore_implementations/test_all.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_ancestry.py'
--- bzrlib/tests/test_ancestry.py	2006-10-15 15:55:32 +0000
+++ bzrlib/tests/test_ancestry.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_api.py'
--- bzrlib/tests/test_api.py	2005-11-23 15:44:24 +0000
+++ bzrlib/tests/test_api.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_bad_files.py'
--- bzrlib/tests/test_bad_files.py	2006-09-08 18:52:17 +0000
+++ bzrlib/tests/test_bad_files.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_bundle.py'
--- bzrlib/tests/test_bundle.py	2006-10-06 05:53:44 +0000
+++ bzrlib/tests/test_bundle.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2006-09-14 04:55:30 +0000
+++ bzrlib/tests/test_bzrdir.py	2006-10-05 05:37:25 +0000
@@ -4,12 +4,12 @@
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=== modified file 'bzrlib/tests/test_command.py'
--- bzrlib/tests/test_command.py	2006-09-01 03:55:07 +0000
+++ bzrlib/tests/test_command.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_commit.py'
--- bzrlib/tests/test_commit.py	2006-09-27 22:12:53 +0000
+++ bzrlib/tests/test_commit.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_commit_merge.py'
--- bzrlib/tests/test_commit_merge.py	2006-09-10 19:04:48 +0000
+++ bzrlib/tests/test_commit_merge.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_config.py'
--- bzrlib/tests/test_config.py	2006-10-12 01:07:42 +0000
+++ bzrlib/tests/test_config.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_conflicts.py'
--- bzrlib/tests/test_conflicts.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_conflicts.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_diff.py'
--- bzrlib/tests/test_diff.py	2006-08-25 20:43:30 +0000
+++ bzrlib/tests/test_diff.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Development Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -9,7 +9,7 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=== modified file 'bzrlib/tests/test_doc_generate.py'
--- bzrlib/tests/test_doc_generate.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_doc_generate.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_errors.py'
--- bzrlib/tests/test_errors.py	2006-10-16 01:13:59 +0000
+++ bzrlib/tests/test_errors.py	2006-10-16 04:50:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_escaped_store.py'
--- bzrlib/tests/test_escaped_store.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_escaped_store.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Development Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_fetch.py'
--- bzrlib/tests/test_fetch.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_fetch.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_ftp_transport.py'
--- bzrlib/tests/test_ftp_transport.py	2006-08-23 22:18:16 +0000
+++ bzrlib/tests/test_ftp_transport.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,5 @@
+# Copyright (C) 2006 Canonical Ltd
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or

=== modified file 'bzrlib/tests/test_gpg.py'
--- bzrlib/tests/test_gpg.py	2006-08-25 19:15:36 +0000
+++ bzrlib/tests/test_gpg.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_graph.py'
--- bzrlib/tests/test_graph.py	2006-03-22 16:26:09 +0000
+++ bzrlib/tests/test_graph.py	2006-10-11 23:08:27 +0000
@@ -1,6 +1,23 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 from bzrlib.tests import TestCase
 from bzrlib.graph import node_distances, nodes_by_distance, Graph
 
+
 class TestBase(TestCase):
 
     def edge_add(self, *args):

=== modified file 'bzrlib/tests/test_http.py'
--- bzrlib/tests/test_http.py	2006-10-11 05:55:32 +0000
+++ bzrlib/tests/test_http.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_http_response.py'
--- bzrlib/tests/test_http_response.py	2006-10-11 08:51:52 +0000
+++ bzrlib/tests/test_http_response.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_identitymap.py'
--- bzrlib/tests/test_identitymap.py	2005-11-23 15:44:24 +0000
+++ bzrlib/tests/test_identitymap.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_ignores.py'
--- bzrlib/tests/test_ignores.py	2006-07-21 04:02:14 +0000
+++ bzrlib/tests/test_ignores.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_inv.py'
--- bzrlib/tests/test_inv.py	2006-09-03 20:41:45 +0000
+++ bzrlib/tests/test_inv.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_knit.py'
--- bzrlib/tests/test_knit.py	2006-09-26 13:40:43 +0000
+++ bzrlib/tests/test_knit.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_lazy_import.py'
--- bzrlib/tests/test_lazy_import.py	2006-09-13 02:16:02 +0000
+++ bzrlib/tests/test_lazy_import.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_lazy_regex.py'
--- bzrlib/tests/test_lazy_regex.py	2006-10-09 09:41:01 +0000
+++ bzrlib/tests/test_lazy_regex.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_lockable_files.py'
--- bzrlib/tests/test_lockable_files.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_lockable_files.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_log.py'
--- bzrlib/tests/test_log.py	2006-09-04 08:00:00 +0000
+++ bzrlib/tests/test_log.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 # vim: encoding=utf-8
 #

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2006-09-21 16:03:07 +0000
+++ bzrlib/tests/test_merge.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_merge3.py'
--- bzrlib/tests/test_merge3.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_merge3.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_merge_core.py'
--- bzrlib/tests/test_merge_core.py	2006-10-12 01:50:46 +0000
+++ bzrlib/tests/test_merge_core.py	2006-10-16 01:50:48 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 import os
 import stat
 import sys

=== modified file 'bzrlib/tests/test_missing.py'
--- bzrlib/tests/test_missing.py	2006-06-07 17:23:59 +0000
+++ bzrlib/tests/test_missing.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_msgeditor.py'
--- bzrlib/tests/test_msgeditor.py	2006-09-08 18:46:29 +0000
+++ bzrlib/tests/test_msgeditor.py	2006-10-11 23:08:27 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/tests/test_nonascii.py'
--- bzrlib/tests/test_nonascii.py	2006-07-11 15:05:36 +0000
+++ bzrlib/tests/test_nonascii.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_options.py'
--- bzrlib/tests/test_options.py	2006-08-16 13:13:39 +0000
+++ bzrlib/tests/test_options.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,18 @@
 # Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 from bzrlib.builtins import cmd_commit, cmd_log, cmd_status
 from bzrlib.commands import Command, parse_args

=== modified file 'bzrlib/tests/test_osutils.py'
--- bzrlib/tests/test_osutils.py	2006-10-06 05:53:44 +0000
+++ bzrlib/tests/test_osutils.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_patch.py'
--- bzrlib/tests/test_patch.py	2006-04-16 17:49:14 +0000
+++ bzrlib/tests/test_patch.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_patches.py'
--- bzrlib/tests/test_patches.py	2006-05-30 03:51:03 +0000
+++ bzrlib/tests/test_patches.py	2006-10-11 23:32:09 +0000
@@ -1,19 +1,19 @@
-# Copyright (C) 2004 - 2006 Aaron Bentley
+# Copyright (C) 2004 - 2006 Aaron Bentley, Canonical Ltd
 # <aaron.bentley@utoronto.ca>
 #
-#    This program is free software; you can redistribute it and/or modify
-#    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
-#
-#    This program is distributed in the hope that it will be useful,
-#    but WITHOUT ANY WARRANTY; without even the implied warranty of
-#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU General Public License for more details.
-#
-#    You should have received a copy of the GNU General Public License
-#    along with this program; if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
 import unittest

=== modified file 'bzrlib/tests/test_permissions.py'
--- bzrlib/tests/test_permissions.py	2006-09-09 18:52:57 +0000
+++ bzrlib/tests/test_permissions.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 # -*- coding: utf-8 -*-
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_plugins.py'
--- bzrlib/tests/test_plugins.py	2006-09-25 21:54:28 +0000
+++ bzrlib/tests/test_plugins.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -9,12 +9,11 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-
 """Tests for plugins"""
 
 # XXX: There are no plugin tests at the moment because the plugin module

=== modified file 'bzrlib/tests/test_progress.py'
--- bzrlib/tests/test_progress.py	2006-07-10 23:00:44 +0000
+++ bzrlib/tests/test_progress.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_read_bundle.py'
--- bzrlib/tests/test_read_bundle.py	2006-09-08 00:19:48 +0000
+++ bzrlib/tests/test_read_bundle.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_reconcile.py'
--- bzrlib/tests/test_reconcile.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/test_reconcile.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_registry.py'
--- bzrlib/tests/test_registry.py	2006-09-21 22:25:19 +0000
+++ bzrlib/tests/test_registry.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_revert.py'
--- bzrlib/tests/test_revert.py	2006-09-27 20:28:32 +0000
+++ bzrlib/tests/test_revert.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_revision.py'
--- bzrlib/tests/test_revision.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/test_revision.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2005 Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_revisionnamespaces.py'
--- bzrlib/tests/test_revisionnamespaces.py	2006-08-28 16:19:47 +0000
+++ bzrlib/tests/test_revisionnamespaces.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_rio.py'
--- bzrlib/tests/test_rio.py	2006-09-22 19:37:57 +0000
+++ bzrlib/tests/test_rio.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_sampler.py'
--- bzrlib/tests/test_sampler.py	2006-01-05 10:49:26 +0000
+++ bzrlib/tests/test_sampler.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_selftest.py'
--- bzrlib/tests/test_selftest.py	2006-10-13 07:22:23 +0000
+++ bzrlib/tests/test_selftest.py	2006-10-16 01:50:48 +0000
@@ -1,8 +1,9 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published by
-# the Free Software Foundation.
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of

=== modified file 'bzrlib/tests/test_setup.py'
--- bzrlib/tests/test_setup.py	2006-09-09 16:43:09 +0000
+++ bzrlib/tests/test_setup.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_source.py'
--- bzrlib/tests/test_source.py	2006-06-20 05:32:16 +0000
+++ bzrlib/tests/test_source.py	2006-10-16 02:29:21 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -22,14 +22,39 @@
 
 # import system imports here
 import os
+import re
 import sys
 
 #import bzrlib specific imports here
-from bzrlib.tests import TestCase
+from bzrlib import (
+    osutils,
+    )
 import bzrlib.branch
-
-
-class TestApiUsage(TestCase):
+from bzrlib.tests import TestCase, TestSkipped
+
+
+# Files which are listed here will be skipped when testing for Copyright (or
+# GPL) statements.
+COPYRIGHT_EXCEPTIONS = ['bzrlib/lsprof.py']
+
+LICENSE_EXCEPTIONS = ['bzrlib/lsprof.py']
+# Technically, 'bzrlib/lsprof.py' should be 'bzrlib/util/lsprof.py',
+# (we do not check bzrlib/util/, since that is code bundled from elsewhere)
+# but for compatibility with previous releases, we don't want to move it.
+
+
+class TestSourceHelper(TestCase):
+
+    def source_file_name(self, package):
+        """Return the path of the .py file for package."""
+        path = package.__file__
+        if path[-1] in 'co':
+            return path[:-1]
+        else:
+            return path
+
+
+class TestApiUsage(TestSourceHelper):
 
     def find_occurences(self, rule, filename):
         """Find the number of occurences of rule in a file."""
@@ -40,14 +65,6 @@
                 occurences += 1
         return occurences
 
-    def source_file_name(self, package):
-        """Return the path of the .py file for package."""
-        path = package.__file__
-        if path[-1] in 'co':
-            return path[:-1]
-        else:
-            return path
-
     def test_branch_working_tree(self):
         """Test that the number of uses of working_tree in branch is stable."""
         occurences = self.find_occurences('self.working_tree()',
@@ -73,3 +90,152 @@
         # drops, it is not given a buffer but rather this test updated
         # immediately.
         self.assertEqual(2, occurences)
+
+
+class TestSource(TestSourceHelper):
+
+    def get_bzrlib_dir(self):
+        """Get the path to the root of bzrlib"""
+        source = self.source_file_name(bzrlib)
+        source_dir = os.path.dirname(source)
+
+        # Avoid the case when bzrlib is packaged in a zip file
+        if not os.path.isdir(source_dir):
+            raise TestSkipped('Cannot find bzrlib source directory. Expected %s'
+                              % source_dir)
+        return source_dir
+
+    def get_source_files(self):
+        """yield all source files for bzr and bzrlib"""
+        bzrlib_dir = self.get_bzrlib_dir()
+
+        # This is the front-end 'bzr' script
+        bzr_path = self.get_bzr_path()
+        yield bzr_path
+
+        for root, dirs, files in os.walk(bzrlib_dir):
+            for f in files:
+                if not f.endswith('.py'):
+                    continue
+                yield osutils.pathjoin(root, f)
+
+    def get_source_file_contents(self):
+        for fname in self.get_source_files():
+            f = open(fname, 'rb')
+            try:
+                text = f.read()
+            finally:
+                f.close()
+            yield fname, text
+
+    def is_copyright_exception(self, fname):
+        """Certain files are allowed to be different"""
+        if '/util/' in fname:
+            # We don't require external utilities to be (C) Canonical Ltd
+            return True
+
+        for exc in COPYRIGHT_EXCEPTIONS:
+            if fname.endswith(exc):
+                return True
+
+        return False
+
+    def is_license_exception(self, fname):
+        """Certain files are allowed to be different"""
+        if '/util/' in fname:
+            # We don't require external utilities to be (C) Canonical Ltd
+            return True
+
+        for exc in LICENSE_EXCEPTIONS:
+            if fname.endswith(exc):
+                return True
+
+        return False
+
+    def test_copyright(self):
+        """Test that all .py files have a valid copyright statement"""
+        # These are files which contain a different copyright statement
+        # and that is okay.
+        incorrect = []
+
+        copyright_re = re.compile('#\\s*copyright.*(?=\n)', re.I)
+        copyright_canonical_re = re.compile(
+            r'# Copyright \(C\) ' # Opening "# Copyright (C)"
+            r'(\d+)(, \d+)*' # Followed by a series of dates
+            r'.*Canonical Ltd' # And containing 'Canonical Ltd'
+            )
+
+        for fname, text in self.get_source_file_contents():
+            if self.is_copyright_exception(fname):
+                continue
+            match = copyright_canonical_re.search(text)
+            if not match:
+                match = copyright_re.search(text)
+                if match:
+                    incorrect.append((fname, 'found: %s' % (match.group(),)))
+                else:
+                    incorrect.append((fname, 'no copyright line found\n'))
+            else:
+                if 'by Canonical' in match.group():
+                    incorrect.append((fname,
+                        'should not have: "by Canonical": %s'
+                        % (match.group(),)))
+
+        if incorrect:
+            help_text = ["Some files have missing or incorrect copyright"
+                         " statements.",
+                         "",
+                         "Please either add them to the list of"
+                         " COPYRIGHT_EXCEPTIONS in"
+                         " bzrlib/tests/test_source.py",
+                         # this is broken to prevent a false match
+                         "or add '# Copyright (C)"
+                         " 2006 Canonical Ltd' to these files:",
+                         "",
+                        ]
+            for fname, comment in incorrect:
+                help_text.append(fname)
+                help_text.append((' '*4) + comment)
+
+            self.fail('\n'.join(help_text))
+
+    def test_gpl(self):
+        """Test that all .py files have a GPL disclaimer"""
+        incorrect = []
+
+        gpl_txt = """
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+"""
+        gpl_re = re.compile(re.escape(gpl_txt), re.MULTILINE)
+
+        for fname, text in self.get_source_file_contents():
+            if self.is_license_exception(fname):
+                continue
+            if not gpl_re.search(text):
+                incorrect.append(fname)
+
+        if incorrect:
+            help_text = ['Some files have missing or incomplete GPL statement',
+                         "",
+                         "Please either add them to the list of"
+                         " LICENSE_EXCEPTIONS in"
+                         " bzrlib/tests/test_source.py",
+                         "Or add the following text to the beginning:",
+                         gpl_txt
+                        ]
+            for fname in incorrect:
+                help_text.append((' '*4) + fname)
+
+            self.fail('\n'.join(help_text))

=== modified file 'bzrlib/tests/test_status.py'
--- bzrlib/tests/test_status.py	2006-09-04 08:00:00 +0000
+++ bzrlib/tests/test_status.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Development Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_store.py'
--- bzrlib/tests/test_store.py	2006-09-05 20:58:28 +0000
+++ bzrlib/tests/test_store.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Development Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_symbol_versioning.py'
--- bzrlib/tests/test_symbol_versioning.py	2006-09-05 21:35:51 +0000
+++ bzrlib/tests/test_symbol_versioning.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_testament.py'
--- bzrlib/tests/test_testament.py	2006-09-28 01:57:43 +0000
+++ bzrlib/tests/test_testament.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_textfile.py'
--- bzrlib/tests/test_textfile.py	2006-06-20 03:57:11 +0000
+++ bzrlib/tests/test_textfile.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_trace.py'
--- bzrlib/tests/test_trace.py	2006-09-06 21:17:22 +0000
+++ bzrlib/tests/test_trace.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_transactions.py'
--- bzrlib/tests/test_transactions.py	2006-06-06 12:06:20 +0000
+++ bzrlib/tests/test_transactions.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/test_transport.py'
--- bzrlib/tests/test_transport.py	2006-10-06 05:53:44 +0000
+++ bzrlib/tests/test_transport.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_transport_implementations.py'
--- bzrlib/tests/test_transport_implementations.py	2006-09-22 04:39:58 +0000
+++ bzrlib/tests/test_transport_implementations.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_tree.py'
--- bzrlib/tests/test_tree.py	2006-09-28 01:53:23 +0000
+++ bzrlib/tests/test_tree.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_tsort.py'
--- bzrlib/tests/test_tsort.py	2006-03-28 14:29:13 +0000
+++ bzrlib/tests/test_tsort.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_tuned_gzip.py'
--- bzrlib/tests/test_tuned_gzip.py	2006-06-20 03:57:11 +0000
+++ bzrlib/tests/test_tuned_gzip.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_ui.py'
--- bzrlib/tests/test_ui.py	2006-07-12 02:45:22 +0000
+++ bzrlib/tests/test_ui.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_upgrade.py'
--- bzrlib/tests/test_upgrade.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/test_upgrade.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_urlutils.py'
--- bzrlib/tests/test_urlutils.py	2006-07-11 18:34:09 +0000
+++ bzrlib/tests/test_urlutils.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_version.py'
--- bzrlib/tests/test_version.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/test_version.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_versionedfile.py'
--- bzrlib/tests/test_versionedfile.py	2006-09-25 18:30:50 +0000
+++ bzrlib/tests/test_versionedfile.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # Authors:
 #   Johan Rydberg <jrydberg@gnu.org>

=== modified file 'bzrlib/tests/test_weave.py'
--- bzrlib/tests/test_weave.py	2006-09-20 22:32:33 +0000
+++ bzrlib/tests/test_weave.py	2006-10-11 23:08:27 +0000
@@ -1,6 +1,6 @@
 #! /usr/bin/python2.4
 
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_whitebox.py'
--- bzrlib/tests/test_whitebox.py	2006-10-05 22:42:09 +0000
+++ bzrlib/tests/test_whitebox.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/test_xml.py'
--- bzrlib/tests/test_xml.py	2006-08-16 20:55:23 +0000
+++ bzrlib/tests/test_xml.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/tree_implementations/__init__.py'
--- bzrlib/tests/tree_implementations/__init__.py	2006-09-10 19:04:48 +0000
+++ bzrlib/tests/tree_implementations/__init__.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/tree_implementations/test_test_trees.py'
--- bzrlib/tests/tree_implementations/test_test_trees.py	2006-08-06 00:20:32 +0000
+++ bzrlib/tests/tree_implementations/test_test_trees.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/treeshape.py'
--- bzrlib/tests/treeshape.py	2006-07-28 16:05:23 +0000
+++ bzrlib/tests/treeshape.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/__init__.py'
--- bzrlib/tests/workingtree_implementations/__init__.py	2006-10-05 07:34:58 +0000
+++ bzrlib/tests/workingtree_implementations/__init__.py	2006-10-16 04:50:19 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors: Robert Collins <robert.collins@canonical.com>
 # -*- coding: utf-8 -*-
 #

=== modified file 'bzrlib/tests/workingtree_implementations/test_basis_inventory.py'
--- bzrlib/tests/workingtree_implementations/test_basis_inventory.py	2006-09-09 18:52:57 +0000
+++ bzrlib/tests/workingtree_implementations/test_basis_inventory.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005 by Canonical Ltd
+# Copyright (C) 2004, 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_break_lock.py'
--- bzrlib/tests/workingtree_implementations/test_break_lock.py	2006-05-05 04:00:11 +0000
+++ bzrlib/tests/workingtree_implementations/test_break_lock.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/workingtree_implementations/test_changes_from.py'
--- bzrlib/tests/workingtree_implementations/test_changes_from.py	2006-07-26 04:01:26 +0000
+++ bzrlib/tests/workingtree_implementations/test_changes_from.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Development Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_executable.py'
--- bzrlib/tests/workingtree_implementations/test_executable.py	2006-09-05 08:14:23 +0000
+++ bzrlib/tests/workingtree_implementations/test_executable.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_flush.py'
--- bzrlib/tests/workingtree_implementations/test_flush.py	2006-10-05 07:34:58 +0000
+++ bzrlib/tests/workingtree_implementations/test_flush.py	2006-10-16 04:50:19 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_get_parent_ids.py'
--- bzrlib/tests/workingtree_implementations/test_get_parent_ids.py	2006-09-05 09:49:40 +0000
+++ bzrlib/tests/workingtree_implementations/test_get_parent_ids.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/workingtree_implementations/test_is_ignored.py'
--- bzrlib/tests/workingtree_implementations/test_is_ignored.py	2006-07-21 04:02:14 +0000
+++ bzrlib/tests/workingtree_implementations/test_is_ignored.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/workingtree_implementations/test_mkdir.py'
--- bzrlib/tests/workingtree_implementations/test_mkdir.py	2006-09-07 23:13:08 +0000
+++ bzrlib/tests/workingtree_implementations/test_mkdir.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/workingtree_implementations/test_parents.py'
--- bzrlib/tests/workingtree_implementations/test_parents.py	2006-09-08 00:19:48 +0000
+++ bzrlib/tests/workingtree_implementations/test_parents.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_put_file.py'
--- bzrlib/tests/workingtree_implementations/test_put_file.py	2006-09-07 23:13:08 +0000
+++ bzrlib/tests/workingtree_implementations/test_put_file.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/tests/workingtree_implementations/test_read_working_inventory.py'
--- bzrlib/tests/workingtree_implementations/test_read_working_inventory.py	2006-10-05 07:34:58 +0000
+++ bzrlib/tests/workingtree_implementations/test_read_working_inventory.py	2006-10-16 04:50:19 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_set_root_id.py'
--- bzrlib/tests/workingtree_implementations/test_set_root_id.py	2006-10-05 07:34:58 +0000
+++ bzrlib/tests/workingtree_implementations/test_set_root_id.py	2006-10-16 04:50:19 +0000
@@ -1,4 +1,4 @@
-# (C) 2006 Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/workingtree_implementations/test_unversion.py'
--- bzrlib/tests/workingtree_implementations/test_unversion.py	2006-09-07 08:13:22 +0000
+++ bzrlib/tests/workingtree_implementations/test_unversion.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/textfile.py'
--- bzrlib/textfile.py	2006-06-30 21:38:52 +0000
+++ bzrlib/textfile.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/textinv.py'
--- bzrlib/textinv.py	2006-08-07 23:19:38 +0000
+++ bzrlib/textinv.py	2006-10-16 01:50:48 +0000
@@ -1,4 +1,4 @@
-# (C) 2005 Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/textui.py'
--- bzrlib/textui.py	2006-07-30 06:52:39 +0000
+++ bzrlib/textui.py	2006-10-11 23:08:27 +0000
@@ -1,6 +1,6 @@
 # Bazaar -- distributed version control
 #
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2006-10-06 07:14:31 +0000
+++ bzrlib/trace.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transactions.py'
--- bzrlib/transactions.py	2006-08-30 13:54:51 +0000
+++ bzrlib/transactions.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005 by Canonical Ltd
+# Copyright (C) 2005 Canonical Ltd
 #   Authors: Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/transport/http/_pycurl_errors.py'
--- bzrlib/transport/http/_pycurl_errors.py	2006-07-14 01:46:36 +0000
+++ bzrlib/transport/http/_pycurl_errors.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 Canonical
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transport/http/response.py'
--- bzrlib/transport/http/response.py	2006-10-13 06:36:44 +0000
+++ bzrlib/transport/http/response.py	2006-10-16 01:50:48 +0000
@@ -1,5 +1,4 @@
-# Copyright (C) 2006 Michael Ellerman
-#           modified by John Arbash Meinel (Canonical Ltd)
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tsort.py'
--- bzrlib/tsort.py	2006-03-28 14:29:13 +0000
+++ bzrlib/tsort.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# (C) 2005, 2006 Canonical Limited.
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tuned_gzip.py'
--- bzrlib/tuned_gzip.py	2006-08-17 13:25:05 +0000
+++ bzrlib/tuned_gzip.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 # Written by Robert Collins <robert.collins@canonical.com>
 #
 # This program is free software; you can redistribute it and/or modify

=== modified file 'bzrlib/urlutils.py'
--- bzrlib/urlutils.py	2006-10-06 05:53:44 +0000
+++ bzrlib/urlutils.py	2006-10-16 01:25:46 +0000
@@ -1,6 +1,6 @@
 # Bazaar -- distributed version control
 #
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/version.py'
--- bzrlib/version.py	2006-08-23 03:41:54 +0000
+++ bzrlib/version.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2004, 2005, 2006 by Canonical Ltd
+# Copyright (C) 2004, 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/versionedfile.py'
--- bzrlib/versionedfile.py	2006-10-06 05:53:44 +0000
+++ bzrlib/versionedfile.py	2006-10-16 01:25:46 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 by Canonical Ltd
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # Authors:
 #   Johan Rydberg <jrydberg@gnu.org>

=== modified file 'bzrlib/weave_commands.py'
--- bzrlib/weave_commands.py	2006-07-28 16:05:23 +0000
+++ bzrlib/weave_commands.py	2006-10-11 23:08:27 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/win32console.py'
--- bzrlib/win32console.py	2006-06-20 03:57:11 +0000
+++ bzrlib/win32console.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 
 """
 Set of functions to work with console on Windows.

=== modified file 'bzrlib/xml4.py'
--- bzrlib/xml4.py	2006-09-08 18:46:29 +0000
+++ bzrlib/xml4.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,5 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
@@ -12,7 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-
 from bzrlib.xml_serializer import ElementTree, SubElement, Element, Serializer
 from bzrlib.inventory import ROOT_ID, Inventory, InventoryEntry
 import bzrlib.inventory as inventory
@@ -20,10 +21,6 @@
 from bzrlib.errors import BzrError
 
 
-
-
-
-
 class _Serializer_v4(Serializer):
     """Version 0.0.4 serializer
 

=== modified file 'bzrlib/xml6.py'
--- bzrlib/xml6.py	2006-08-24 03:35:48 +0000
+++ bzrlib/xml6.py	2006-10-05 05:37:25 +0000
@@ -1,3 +1,19 @@
+# Copyright (C) 2005, 2006 Canonical Ltd
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 from bzrlib import cache_utf8, inventory, errors, xml5
 
 

=== modified file 'bzrlib/xml_serializer.py'
--- bzrlib/xml_serializer.py	2006-09-28 05:43:24 +0000
+++ bzrlib/xml_serializer.py	2006-10-05 05:37:25 +0000
@@ -1,4 +1,4 @@
-# -*- coding: UTF-8 -*-
+# Copyright (C) 2005, 2006 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

